i.MX Yocto Project: How Can I Build the Freescale Yocto Images using hob?

cancel
Showing results for 
Search instead for 
Did you mean: 

i.MX Yocto Project: How Can I Build the Freescale Yocto Images using hob?

No ratings

i.MX Yocto Project: How Can I Build the Freescale Yocto Images using hob?

1. Follow all instructions from Freescale's github repo except the last bitbake command

2. Run hob under the build folder

build$ hob &

3. On the GUI, select machine and image, then build

4. In case you need to flash an SD Card, hob does not produce an .sdcard image, so as a workaround, close hob and on the same console run

build$ bitbake <image>

    where image must be the same as the one you choose with hob

5. Flash your SD card

build$ sudo dd if=tmp/deploy/images/fsl-image-gui-imx6qsabresd.sdcard of=/dev/sdX bs=4M

NOTES:

  • In case of building issues, please follow this link
  • In case of booting issues, make sure: 1. board DIP switches are set correctly 2. you have chosen the correct machine before baking
  • If issues persist, report it to the community
Labels (1)
Comments
by

Good morning,

     I try to use yocto for my imx6qsaberlite. The default image built just fine. Then I try hob. I try to modify my image ( fsl-image-gui ). I was tring to have all the gstreamer plugin. So when using hob, it's appear a first bug ::

I choose my card, I choose my image ( fsl-image-gui ), I choose to edit the image, and to put the missing paquet in the image. At the second step it crashed ( in fact, it's just say ERROR ).

- It said : ERROR: Nothing RPROVIDES ncurses ... bla bla bla

So, after googling I found a patch ( http://patches.openembedded.org/patch/58701/ ) . It works perfectly, then there was another error with glib-gconf and then with gstriff.

So ... have you some patches for the gstriff RPROVIDES error ? Or is there a work around to build an image with a template one ?

config : BB_VERSION : 1.18.0

DISTRO : poky

DISTRO_VERSION : 1.4.1

Thanking you in advance,

Yves

Hi, by,

Are you using master or dylan branch?

The error means that your source code misses ncurses. And it´s weird as ncurses is a very basic package and it´s always available. Could you, please, past the complete log? Or even attach the log error file?

Have you followed the YoctoProject Quick Start process for the first build?

Also, the patch’s link you sent is broken.

Leo

by

Hi,

thank for this rapid answers.

I have taken the dylan branch, as it was advices on this page ( Yocto with Boundary Device's Nitrogen6X: 5 steps only! - O.S. Systems live ). And the build with bitbake is good and has generated a rootfs ...

The quick start process indicate the danny branch, I try it two month ago, and the result was an unstable system.  The system form the dylan branch, seems to me to better, so I can try working with it.

So the log ... Ha ! but there's none ! In fact, I don't know where to find the log file. With bitbake, I know where to find logs and how to use them, but in this case hog doesn't generate some logs ( or he generate something, but forget to tell me ).

What I try to do :

My goal is to use hog and to generate some new rootfs with differents kind of packets.

So the bug description :

I launch  hog. Choose the target and the template. Then click on the edit button.

on the first step ( changing and generating some new paquets ), it say's it's all good.

Then on the second step, when I click on generate the image, there's a popup which say :

ERROR: Nothing RPROVIDES ncurses

with a button closed, and when I clicked, there was a very similar popup with a closed button, then hog restart.

-

The bug first explanation :

so for the link, it was the patch 48701and not 58701, sorry for the mistake : libpcre, ncurses: Fix problems expanding the IMAGE_INSTALL package groups - Patchwork

what they said was : (  on the April 23, 2013, 4:08 p.m )

>The ncurses and libpcre packages were generating the following errors

>as a result of not specifing the PACKAGES_DYNAMIC correctly. These

>errors only appear when using the IMAGE_INSTALL list that has been

>expanded by the hob or from the pkgdata.

-> it's seem to me that it was the answer for the first bug, so I kindly indicated it to you. And it works with ncurses. But there were more errors, so ...

what can I do ?

Thanking you in advance,

Yves

Take a look here:

Task #3 - The build result

There is one folder for each package to hold the log (error or success) and steps of each task (configure, compile, install, and so on).

Find the "work" dir for HOB, then look for the package name that failed.

by

Thanks for this tips :

So, I past 3 logs of the same error, no debug option, a littel bit and lot's of debug options ... but I still d'ont have found the solution.

here the part of the log ( if it can help ):

with no debug option :

Build Configuration:
BB_VERSION        = "1.18.0"
BUILD_SYS         = "i686-linux"
NATIVELSBSTRING   = "Fedora-16"
TARGET_SYS        = "arm-poky-linux-gnueabi"
MACHINE           = "imx6qsabrelite"
DISTRO            = "poky"
DISTRO_VERSION    = "1.4.1"
TUNE_FEATURES     = "armv7a vfp neon"
TARGET_FPU        = "vfp-neon"
meta
meta-yocto
meta-oe
meta-fsl-arm
meta-fsl-arm-extra
meta-fsl-demos
meta-hob          = "<unknown>:<unknown>"

NOTE: Resolving any missing task queue dependencies
NOTE: multiple providers are available for runtime jpeg (jpeg, libjpeg-turbo)
NOTE: consider defining a PREFERRED_PROVIDER entry to match jpeg
ERROR: Nothing RPROVIDES 'libgstriff-0.10'

DEBUG: providers for packagegroup-fsl-tools-testapps are: ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-1.0 (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-1.0-r5 (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-gstreamer (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-testapps (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-benchmark (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-dbg (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-dev (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-ptest (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-gstreamer-dbg (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-gstreamer-dev (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-gstreamer-ptest (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-testapps-dbg (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-testapps-dev (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-testapps-ptest (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-benchmark-dbg (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-benchmark-dev (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-benchmark-ptest (value None) against ['packagegroup-fsl']

DEBUG: sorted providers for packagegroup-fsl-tools-testapps are: ['/opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb']

DEBUG: adding '/opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb' to satisfy runtime 'packagegroup-fsl-tools-testapps'

DEBUG: Added dependency virtual/arm-poky-linux-gnueabi-gcc for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added dependency virtual/arm-poky-linux-gnueabi-compilerlibs for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added dependency virtual/libc for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency lmbench for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency bonnie++ for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency dbench for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency fio for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency iozone3 for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency iperf for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency memtester for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency nbench-byte for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency tiobench for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency packagegroup-fsl for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency gst-meta-audio for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency gst-meta-video for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency gst-fsl-plugin for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency gpu-viv-bin-mx6q for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency gst-fsl-plugin-gplay for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency alsa-utils for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency alsa-tools for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency dosfstools for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency evtest for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency e2fsprogs-mke2fs for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency fsl-rc-local for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency gst-plugins-base-tcp for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency i2c-tools for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency imx-test for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency iproute2 for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency python-subprocess for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency python-datetime for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency python-json for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency v4l-utils for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime dependency ethtool for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

DEBUG: Added runtime recommendation packagegroup-fsl for /opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb

ERROR: Nothing RPROVIDES 'libgstriff-0.10'

with a littel bit debug ( -D ) :

DEBUG: checking PREFERRED_PROVIDER_qt4-x11 (value None) against ['qt4-x11-free']

DEBUG: sorted providers for libqtxmlpatterns4 are: ['/opt/ybard/yocto/source/fsl-community-bsp/sources/poky/meta/recipes-qt/qt4/qt4-x11-free_4.8.4.bb']

DEBUG: providers for packagegroup-fsl-tools-testapps are: ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-1.0 (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-1.0-r5 (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-gstreamer (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-testapps (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-benchmark (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-dbg (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-dev (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-ptest (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-gstreamer-dbg (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-gstreamer-dev (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-gstreamer-ptest (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-testapps-dbg (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-testapps-dev (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-testapps-ptest (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-benchmark-dbg (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-benchmark-dev (value None) against ['packagegroup-fsl']

DEBUG: checking PREFERRED_PROVIDER_packagegroup-fsl-tools-benchmark-ptest (value None) against ['packagegroup-fsl']

DEBUG: sorted providers for packagegroup-fsl-tools-testapps are: ['/opt/ybard/yocto/source/fsl-community-bsp/sources/meta-fsl-demos/recipes-fsl/packagegroup/packagegroup-fsl.bb']

ERROR: Nothing RPROVIDES 'libgstriff-0.10'

and with more debug option : -DDD :

by

It's seems my post goes wrong, the first part has lot of debug options (-DDD ), then there are less (-D )

Could you, please, double check you have meta-fsl-demos in your HOB bbapend?

I think you can access the meta layer included list in HOB itself

by

Hi Daiane,

   Yes I ve double check the presence of the meta-fsl-demos. The layer is present. I do think that it appears in the log:

Build Configuration:
BB_VERSION        = "1.18.0"
BUILD_SYS         = "i686-linux"
NATIVELSBSTRING   = "Fedora-16"
TARGET_SYS        = "arm-poky-linux-gnueabi"
MACHINE           = "imx6qsabrelite"
DISTRO            = "poky"
DISTRO_VERSION    = "1.4.1"
TUNE_FEATURES     = "armv7a vfp neon"
TARGET_FPU        = "vfp-neon"
meta
meta-yocto
meta-oe
meta-fsl-arm
meta-fsl-arm-extra
meta-fsl-demos
meta-hob          = "<unknown>:<unknown>"

=>But, you were right, one can access the meta layer in this tool. What else can I check ?


Thanking you in advance,

Yves


I have no idea. I can try on my machine on Monday if I´m able to reproduce...

LeonardoSandovalGonzalez, Do you have any other idea?

(in fact, I´m not used with hob, I always use (and prefer) bitbake itself)

by

Hi,

I try not to use hob and to write some file sorcery in order to build another image. And it work's. So :

- I can customise my image ( it's a bit unfriendly, it's works well and the documentation is good ).

- It's not as hard as I fear, in fact you just have to understand a bit of yocto and to write two file ( one for the image and one for describing your layer see  Yocto Project Development Manual ).

- I really do think that there are some strange behavior if hob try to modify a template image, BUT I can now work.

     Thanks for your tips,

     Yves

Do you know this? https://community.freescale.com/docs/DOC-94849

I´m so glad you´re using bitbake :smileygrin:

I don´t see too much people using HOB, that´s why (I think) it´s not exhausted tested like bitbake itself.

Regarding "un-friendship" we can talk again in one or two months :smileywink: when you get used with bitbake.

HOB add some lines to local.conf also add:

IMAGE_FSTYPES = "ext3 tar.bz2"

change this line to

IMAGE_FSTYPES = "ext3 tar.bz2 sdcard"

it should work, be carefull if you change any setting this could be overwrite.

Omar

I followed the instructions for hob as told . But when I choose imx6qsabred as the Machine i am facing an error as shown below.

ExpansionError during parsing /home/rejit/yocto1/fsl-community-bsp/sources/poky/meta/recipes-qt/meta/meta-toolchain-qte.bb: Failure expanding variable toolchain_create_sdk_version: ExpansionError: Failure expanding variable METADATA_REVISION, expression was ${@base_detect_revision(d)} which triggered exception OSError: [Errno 12] Cannot allocate memory

I am new to yocto and I was able to build fsl-image-test using bitbake. Can anyone suggest the possible reason for the error and suggest the solution for the same.

HOB never really worked with meta-fsl-arm custom classes. and I have no idea if it has worked someday to create SDK images.

Any way, HOB is deprecated now, and is replaced by toaster. If you are using fido, I recommend you to stop using HOB and take a look at Toaster.  (or bitbake)

Version history
Revision #:
1 of 1
Last update:
‎06-11-2013 01:52 PM
Updated by: